EL modulo de Factura Electronica para chile me pide xmltodict


Imposible instalar el módulo "l10n_cl_fe-11.0" porqué hay una dependencia externa no resuelta: No module named xmltodict a pesar de que se encuentra instalado en su última versión tal como lo muestra la imagen ya he intentado de todo, sin embargo el odoo no logra encontrar dicha librería

jorge godoy
jorge godoy
7
| 0 0 0
Preguntado en 27-12-17 21:07
0
voto
870 Vistas

intento instalar el modulo pero me envia este error

Error:
Odoo Server Error

Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 320, in _tag_report
    id = self.env['ir.model.data']._update("ir.actions.report", self.module, res, xml_id, noupdate=self.isnoupdate(data_node), mode=self.mode)
  File "/odoo/odoo-server/odoo/addons/base/ir/ir_model.py", line 1488, in _update
    record = record.create(values)
  File "/odoo/odoo-server/odoo/addons/base/ir/ir_actions.py", line 57, in create
    res = super(IrActions, self).create(vals)
  File "/odoo/odoo-server/odoo/models.py", line 3373, in create
    record = self.browse(self._create(old_vals))
  File "/odoo/odoo-server/odoo/models.py", line 3451, in _create
    self._check_selection_field_value(name, val)
  File "/odoo/odoo-server/odoo/models.py", line 2105, in _check_selection_field_value
    field.convert_to_cache(value, self)
  File "/odoo/odoo-server/odoo/fields.py", line 1808, in convert_to_cache
    raise ValueError("Wrong value for %s: %r" % (self, value))
ValueError: Wrong value for ir.actions.report.report_type: 'xlsx'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/http.py", line 651, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/odoo/odoo-server/odoo/http.py", line 310, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/odoo/odoo-server/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/odoo/odoo-server/odoo/http.py", line 693, in dispatch
    result = self._call_function(**self.params)
  File "/odoo/odoo-server/odoo/http.py", line 342, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/odoo/odoo-server/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/odoo/odoo-server/odoo/http.py", line 335, in checked_call
    result = self.endpoint(*a, **kw)
  File "/odoo/odoo-server/odoo/http.py", line 937, in __call__
    return self.method(*args, **kw)
  File "/odoo/odoo-server/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "/odoo/odoo-server/addons/web/controllers/main.py", line 938, in call_button
    action = self._call_kw(model, method, args, {})
  File "/odoo/odoo-server/addons/web/controllers/main.py", line 926, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/odoo/odoo-server/odoo/api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "/odoo/odoo-server/odoo/api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "<decorator-gen-42>", line 2, in button_immediate_install
  File "/odoo/odoo-server/odoo/addons/base/module/module.py", line 71, in check_and_log
    return method(self, *args, **kwargs)
  File "/odoo/odoo-server/odoo/addons/base/module/module.py", line 449, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
  File "/odoo/odoo-server/odoo/addons/base/module/module.py", line 542, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
  File "/odoo/odoo-server/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/odoo/odoo-server/odoo/modules/loading.py", line 380, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/odoo/odoo-server/odoo/modules/loading.py", line 274, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/odoo/odoo-server/odoo/modules/loading.py", line 181, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='data')
  File "/odoo/odoo-server/odoo/modules/loading.py", line 95, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 791, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 852, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 751, in parse
    exc_info[2]
  File "/odoo/odoo-server/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 320, in _tag_report
    id = self.env['ir.model.data']._update("ir.actions.report", self.module, res, xml_id, noupdate=self.isnoupdate(data_node), mode=self.mode)
  File "/odoo/odoo-server/odoo/addons/base/ir/ir_model.py", line 1488, in _update
    record = record.create(values)
  File "/odoo/odoo-server/odoo/addons/base/ir/ir_actions.py", line 57, in create
    res = super(IrActions, self).create(vals)
  File "/odoo/odoo-server/odoo/models.py", line 3373, in create
    record = self.browse(self._create(old_vals))
  File "/odoo/odoo-server/odoo/models.py", line 3451, in _create
    self._check_selection_field_value(name, val)
  File "/odoo/odoo-server/odoo/models.py", line 2105, in _check_selection_field_value
    field.convert_to_cache(value, self)
  File "/odoo/odoo-server/odoo/fields.py", line 1808, in convert_to_cache
    raise ValueError("Wrong value for %s: %r" % (self, value))
odoo.tools.convert.ParseError: "Wrong value for ir.actions.report.report_type: 'xlsx'" while parsing /odoo/odoo-server/addons/l10n_cl_fe/views/export.xml:12, near
<report id="libro_xlsx" model="account.move.book" string="Libro xls" report_type="xlsx" name="account.move.book.xlsx" file="account.move.book.xlsx" attachment_use="True" attachment="(object.state in ('Enviado','Proceso')) and ((object.name or '').replace('/','')+'.xlsx')"/>

Anibal Orellana
Anibal Orellana
7
| 0 0 0
Respondido en 03-01-19 15:50
0
voto

Resolvi instalando con PIP3

jorge godoy
jorge godoy
7
| 0 0 0
Respondido en 04-01-18 16:02
0
voto

Hola,  te falta instalar con pip3 no con pip, odoo 11 us python3

Daniel Santibáñez Polanco Chile
Daniel Santibáñez Polanco
542
| 2 2 3
Respondido en 27-12-17 22:05
0
voto

Su respuesta

Trate por favor de dar una respuesta sustancial. Si quiere comentar en la pregunta o la respuesta, sólo use la herramienta de comentarios. Recuerde que siempre puede revise sus respuestas - no hay necesidad de responder dos veces la misma pregunta. También no olvide votar - ¡ayuda realmente a seleccionar las mejores preguntas y respuestas!

Realizar una pregunta

Mantener informado

Sobre este foro 

Esta comunidad es para profesionales y entusiastas de nuestros productos y servicios.

Lea las directrices

Herramientas de las preguntas

64 seguidor(es)

Estadísticas

Preguntado: 27-12-17 21:07
Visto: 870 veces
Última actualización: 03-01-19 15:50